Package commoble.jumbofurnace.client.jei

# Class JEIProxy

java.lang.Object
commoble.jumbofurnace.client.jei.JEIProxy

All Implemented Interfaces:
  `mezz.jei.api.IModPlugin`

public class JEIProxy extends Object implements mezz.jei.api.IModPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`ID`
`static final net.minecraft.resources.ResourceLocation`
`JEI_RECIPE_TEXTURE`

## Constructor Summary

Constructors
Constructor
Description
`JEIProxy()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.resources.ResourceLocation`
`getPluginUid()`
`List<JumboFurnaceRecipe>`
`getRecipes()`
`void`
`registerCategories(mezz.jei.api.registration.IRecipeCategoryRegistration registration)`
Register the categories handled by this plugin.
`void`
`registerRecipeCatalysts(mezz.jei.api.registration.IRecipeCatalystRegistration registration)`
Register recipe catalysts.
`void`
`registerRecipes(mezz.jei.api.registration.IRecipeRegistration registration)`
Register modded recipes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface mezz.jei.api.IModPlugin

`onConfigManagerAvailable, onRuntimeAvailable, onRuntimeUnavailable, registerAdvanced, registerFluidSubtypes, registerGuiHandlers, registerIngredients, registerItemSubtypes, registerRecipeTransferHandlers, registerRuntime, registerVanillaCategoryExtensions`

## Field Details

### JEI_RECIPE_TEXTURE

public static final net.minecraft.resources.ResourceLocation JEI_RECIPE_TEXTURE

### ID

public static final net.minecraft.resources.ResourceLocation ID

## Constructor Details

### JEIProxy

public JEIProxy()

## Method Details

### getPluginUid

public net.minecraft.resources.ResourceLocation getPluginUid()

Specified by:
  `getPluginUid` in interface `mezz.jei.api.IModPlugin`

### registerCategories

public void registerCategories(mezz.jei.api.registration.IRecipeCategoryRegistration registration)
Register the categories handled by this plugin. These are registered before recipes so they can be checked for validity.

Specified by:
  `registerCategories` in interface `mezz.jei.api.IModPlugin`

### registerRecipeCatalysts

public void registerRecipeCatalysts(mezz.jei.api.registration.IRecipeCatalystRegistration registration)
Register recipe catalysts. Recipe Catalysts are ingredients that are needed in order to craft other things. Vanilla examples of Recipe Catalysts are the Crafting Table and Furnace.

Specified by:
  `registerRecipeCatalysts` in interface `mezz.jei.api.IModPlugin`

### registerRecipes

public void registerRecipes(mezz.jei.api.registration.IRecipeRegistration registration)
Register modded recipes.

Specified by:
  `registerRecipes` in interface `mezz.jei.api.IModPlugin`

### getRecipes

public List<JumboFurnaceRecipe> getRecipes()